summaryrefslogtreecommitdiffstats
path: root/network/arora/arora.SlackBuild
diff options
context:
space:
mode:
author Luciano Tropea <luxiano.a2000@gmail.com>2010-05-13 00:35:36 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:35:36 +0200
commit64c392ac4ce9180f35c353c1207603dced221510 (patch)
treedc235a0aa866c739af8fa7ec4f53393c1f7b4716 /network/arora/arora.SlackBuild
parent569e75404ce2e57c5f1bcf9505002bbaae718611 (diff)
downloadslackbuilds-64c392ac4ce9180f35c353c1207603dced221510.tar.gz
slackbuilds-64c392ac4ce9180f35c353c1207603dced221510.tar.xz
network/arora: Updated for version 0.10.1
Diffstat (limited to 'network/arora/arora.SlackBuild')
-rw-r--r--network/arora/arora.SlackBuild28
1 files changed, 5 insertions, 23 deletions
diff --git a/network/arora/arora.SlackBuild b/network/arora/arora.SlackBuild
index e950c576c3..e794e9b945 100644
--- a/network/arora/arora.SlackBuild
+++ b/network/arora/arora.SlackBuild
@@ -2,28 +2,10 @@
#
# Slackware build script for arora
#
-# Copyright 2009 David Somero (dsomero@hotmail.com) Athens,TN USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Written by Luciano Tropea <luxiano.a2000@gmail.com> Rio Grande, Tierra del Fuego, Argentina
PRGNAM=arora
-VERSION=${VERSION:-0.7.1}
+VERSION=${VERSION:-0.10.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -59,7 +41,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-qmake-qt4 arora.pro PREFIX=/usr
+qmake arora.pro PREFIX=/usr
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -70,7 +52,7 @@ make INSTALL_ROOT=$PKG install
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mv $PKG/usr/share/man $PKG/usr/man
@@ -86,4 +68,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}